Description

It would be nice to be able to give a few of the statuses defined in adminatration a "quick link" in the issue view. The typical use case

would be "Closed":

Developers set a status to "Resolved"

Project Manager then has to

open the issue

change status to "Closed"

Click Submit

Instead, it would be nice to to be able to define a "quick link" for this action that does the three steps in one go. In the table in

"/issue_statuses" we could add a column "quick link" where you can add a text that appears as the link in the issue view (next to

Update etc).

History

#1 - 2010-10-05 12:44 - Anonymous

Actually, I should be able to do that myself, so if nobody (with much more Redmine expertise than me) jumps on it, I will try to do it. Time's short

though, so it'll take me a while (still learning Readmine :)).

#2 - 2010-10-05 13:23 - Felix Schäfer

Mmh, you could use the quick access menu on the issue list.

#3 - 2010-10-05 13:44 - Anonymous

Yes, I could. But the typical workflow is that I get an email notification when an issue was changed (in this example set to "Resolved"). Clicking on the

link brings me to the issue view, not the issue list. So I am back to at list one more click (if you have several dozen issues in the list, it might require

more clicks to find the one you are looking for).

This is a really a "nice-to-have" feature but it would be something I would use quite often.

#4 - 2010-10-05 21:42 - Balazs Nadasdi

I don't know but i think it's normal... The ideal uses nothing more as add a close comment to the issue (close cos. sg, Rejected cos. sg) or add time,

set progress, leave any message to the reporter...

#5 - 2010-10-05 21:55 - Felix Schäfer

Jan Wedekind wrote:

This is a really a "nice-to-have" feature but it would be something I would use quite often.

 I see this more as a "niche" feature (not in a negative way, mind you), and it wouldn't be easy to make a good configuration screen for that either as

the project statuses are all configurable.

There's a plugin that (maybe not as fine-grainedly as you are looking for) might do what you are looking for though, have a look at 

PluginSidebarIssueControl

#6 - 2010-10-06 10:07 - Anonymous

Felix Schäfer wrote:

I see this more as a "niche" feature (not in a negative way, mind you), and it wouldn't be easy to make a good configuration screen for that either

as the project statuses are all configurable.
https://www.redmine.org/projects/redmine/wiki/PluginSidebarIssueControl


 Yes, this is where it gets tricky for sure. I think "close" is the main thing here. I pretty sure that in many environments, developers are only allowed to

set an issue to resolved and the project manager has to close it. At least from my experience. I might fiddle around with it.

There's a plugin that (maybe not as fine-grainedly as you are looking for) might do what you are looking for though, have a look at 

PluginSidebarIssueControl

 Thanks! I will have a look for sure! Maybe put this issue on the low-prio wishlist or reject/close it, as you see fit of course.

Cheers,

Jan

#7 - 2010-11-07 13:57 - Anonymous

- Status changed from New to Resolved

This plugin pretty much does most of what I'd need on a daily basis, so I am closing this here (well, resolve). Unless, of course, more people cry for a

more versatile, configurable system as discussed above. But I figure there are more important things for the devs to work on. Thanks!

#8 - 2010-11-07 13:58 - Anonymous

Ooops, it's not a wiki page. It's this plugin

#9 - 2013-01-15 22:30 - Jan Niggemann (redmine.org team member)

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

#10 - 2013-01-15 22:37 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

2025-05-01 2/2

https://www.redmine.org/projects/redmine/wiki/PluginSidebarIssueControl
https://www.redmine.org/projects/redmine/wiki/Redmine_close_button
http://www.redmine.org/plugins/redmine_close_button
http://www.tcpdf.org

